/* Common CSS */
@import '~@ngx-share/button/themes/default/default-theme';
@import "~bootstrap/dist/css/bootstrap.min.css";
// @import "~font-awesome/css/font-awesome.css";
@import "~ngx-bar-rating/themes/br-default-theme.css";
@import "~ngx-bar-rating/themes/br-stars-theme.css";
@import "~nouislider/distribute/nouislider.min.css";
@import "materialTheme";
//@import '~@angular/material/prebuilt-themes/deeppurple-amber.css';
@import "~animate.css/animate.css";
@import "media";
@import "override";
@import "../assets/fonts/Open+Sans.css";
@import "../assets/fonts/Rubik.css";
@import "variables";
* {
  margin: 0;
  padding: 0;
  outline: none;
}

*:before,
*:after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.clearfix:before,
.clearfix:after {
  content: " ";
  display: table;
}

.clearfix:after {
  clear: both;
}

.clearfix:after {
  content: ".";
  visibility: hidden;
  display: block;
  height: 0;
}

.clearfix {
  zoom: 1;
}
*::selection {
  background-color: $primary-color;
  color: #000;
}
//:root {
//  font-size: 100%;
//  @media (max-width: 37.438em) {
//    font-size: 100%;
//  }
//  @media (min-width: 37.5em) and (max-width: 48em) {
//    font-size: 80%;
//  }
//  @media (max-width: 64em) {
//    font-size: 80%;
//  }
//  @media (min-width: 75em) {
//    font-size: 100%;
//  }
//}
html {
  font-family: $font-stack;
}

body {
  margin: 0;
  padding: 0;
  font-family: $font-stack;
  background-color: #f5f5f5;
  letter-spacing: 0;
  @media screen and (max-width: 450px) {
    //font-size: 16px !important;
  }
}
.form-control, input, textarea{
  @media screen and (max-width: 450px) {
    //font-size: 16px !important;
  }
}
h4 {
  font-size: 16px;
  color: $font-silver;
  font-weight: 500;
}
//Scroller Styles
::-webkit-scrollbar {
  width: 6px;
  height: 6px;
  background-color: transparent;
}

::-webkit-scrollbar-track {
  background-color: transparent;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  background-color: rgb(227, 227, 227);
  border-radius: 10px;
}

a {
  cursor: pointer;
  color: $primary-color;
}

.container {
  max-width: 1366px;
  //height: 100%;
}

.container-fluid {
  //padding: 0 !important;
}

ul li {
  list-style-type: none;
}

.col-25 {
  padding: 0;
  width: 25%;
}

.small,
small {
  font-size: 1rem;
  font-weight: 400;
  color: #a5a2a2;
}

.margint1vh {
  margin-top: 1vh;
  padding-top: 10px;
}
.m-r10 {
  margin-right: 10px !important;
}
.m-b20 {
  margin-bottom: 20px;
}
.m-lr0 {
  margin-left: 0px !important;
  margin-right: 0px !important;
}
.m-t20 {
  margin-top: 20px;
}
.plft-10 {
  padding-left: 10px !important;
}
.padding0px {
  padding: 0;
}

.paddingR0px {
  padding-right: 0px;
}

.hrline {
  border-top: 1px solid #e8e8e8;
}

.show-all-category,
.mat-menu-content {
  padding-top: 0px !important;
  padding-bottom: 0px !important;
}

.show-all-category,
.mat-menu-panel {
  // margin-top: 4vh !important;
  min-width: auto !important;
  max-width: 100% !important;
  overflow: hidden !important;
}

.categorytitle,
.mat-button {
  border-radius: 0px !important;
  line-height: 38px !important;
  text-align: left !important;
}
.mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle {
  border-color: $primary-color;
}
.mat-radio-button.mat-accent .mat-radio-inner-circle {
  background-color: $primary-color;
}
/* cart popup */

.cart-checkout .mat-expansion-panel-body {
  padding: 0 0 0 0 !important;
  @include for-size(mobile-lanscape) {
    padding: 0 5px !important;
  }
}

.cart-checkout .mat-raised-button.mat-primary {
  background-color: $primary-color;
  font-weight: 600;
  color: $font-white;
}

.cart-checkout {
  margin-top: 1vh;
}

.main-menu {
  width: 16.7vw !important;
}

.sub-menu {
  position: fixed !important;
  top: 63px !important;
}
.common-title {
  display: flex;
  align-items: center;
}
.no-data-found {
    font-size: 14px;
    position: inherit;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    max-height: 400px;
}
.mat-menu-item {
  line-height: 39px !important;
  height: 44px !important;
  font-family: inherit !important;
  font-size: 13px;
}
.mat-form-field-invalid .mat-form-field-label {
  color: #adadad;
}
.mat-form-field-invalid .mat-form-field-ripple {
  background-color: $primary-color;
}
.mat-cell,
.mat-header-cell {
  font-size: 14px;
}
.mat-header-cell {
  color: rgba(0, 0, 0, 0.86);
}

button:focus {
  outline: none !important;
}
 .mat-form-field-wrapper{
  margin: 1em 0 !important;
}
.form-control:focus {
  border-color: #ced4da !important;
  box-shadow: none !important;
}

.btn.focus,
.btn:focus {
  box-shadow: none !important;
}

.btn-default {
  border-radius: 0 !important;
}

.carousel-control-prev {
  opacity: 1 !important;
}

.carousel-control-next {
  opacity: 1 !important;
}

.carousel-indicators {
  z-index: 1 !important;
}

.carousel-indicators li {
  width: 12px !important;
  height: 12px !important;
  border-radius: 10px;
  border-top: 0px solid transparent;
  border-bottom: 0px solid transparent;
}

.carousel-indicators .active {
  // background-color: #fff !important;
  background-color: #f1f3f6 !important;
}

.mat-menu-item:hover:not([disabled]) {
  background: #ababab !important;
}

.carousel-control-next,
.carousel-control-prev {
  width: 3% !important;
  z-index: 0 !important;
    @include for-size(phone-only){
       width: 5% !important; 
    }
}

.br-default .br-unit {
  margin-right: 0 !important;
  font-size: 1.2rem !important;
  height: 3vh !important;
  width: 2vh !important;
}
.br {
  margin: 0 !important;
}
/* Product Details */

.product-details
  .mat-tab-group.mat-primary
  .mat-tab-label:not(.mat-tab-disabled):focus {
  background-color: white;
}

.page-not-found {
  position: relative;
  margin-top: 9%;
  margin-left: 25%;
  margin-bottom: 13vh;
}

.rating-icon {
  line-height: normal;
  display: inline-block;
  color: $font-white;
  padding: 0px 10px 2px 10px;
  border-radius: 3px;
  font-weight: 600;
  // font-size: 16px;
  vertical-align: middle;
  background-color: $primary-color;
}
.rating-popup {
  position: absolute;
  z-index: 999;
  width: 100%;
}
.content-aligner {
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.arrow_box {
  position: relative;
}

.arrow_box:after,
.arrow_box:before {
  bottom: 100%;
  left: 50%;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
}

.arrow_box:after {
  border-color: rgba(136, 183, 213, 0);
  border-bottom-color: #ffffff;
  border-width: 10px;
  margin-left: -10px;
}

.arrow_box:before {
  border-color: rgba(194, 225, 245, 0);
  border-bottom-color: #d3d3d3;
  border-width: 12px;
  margin-left: -12px;
}
.list-group {
  margin-bottom: 0;
  border-bottom: 1px solid #d4d2d2;
  height: 80px;
  cursor: pointer;
  @include for-size(phone-only){
    //height: 53px;
    height: auto;
    border-bottom: 0px;
  }
}
.pos-rel {
  position: relative;
}
.mat-raised-button {
  font-size: 13px;
  font-weight: 400;
}
.common-profile-header {
  border-bottom: 1px solid $quaternary;
  padding: 12px 0 12px 16px;
  font-weight: 500;
  //    background-color: #eee;
}


.snack-info {
background-color: #33b5e5 !important;
color: #fff;
}
.snack-success {
background-color: #28a745 !important;
color: #fff;
}
.snack-warning {
background-color: #ffc107 !important;
color: #fff;
}
.snack-alert {
background-color: #dc3545 !important;
color: #fff;
}

.mat-simple-snackbar-action {
  color: #575757;
  background-color: #fff;
  border-radius: 4px;
}
.mat-simple-snackbar-action .mat-button {
  line-height: 28px !important;
}

.mat-placeholder-required {
  color: rgb(255, 0, 0);
}
.mat-focused .mat-form-field-required-marker {
  color: rgb(255, 0, 0);
}
.mat-error {
  color: #f44336;
  font-size: 13px;
}
.cart-checkout{
  .mat-form-field-appearance-outline .mat-form-field-outline-thick {
    color: $font-black;
  }
  .mat-form-field-appearance-outline .mat-form-field-outline{
    color: $font-black;
  }
  input.mat-input-element{
    color: $font-black;
    caret-color: $font-black;
  }
  .mat-form-field-label{
    color: $font-black;
  }
  .mat-input-element{
    color: $font-black;
    caret-color: $font-black;
  }
  textarea.mat-input-element{
    color: $font-black;
  }
  .mat-select-value{
    color: $font-black;
  }
  ::placeholder{
    color: $font-black;
  }
}
.mat-form-field-appearance-outline .mat-form-field-outline-thick {
  color: $font-silver;
}
.mat-form-field-appearance-outline .mat-form-field-outline{
  color: $font-silver;
}
input.mat-input-element{
  color: $font-silver;
  caret-color: $font-silver;
}
.mat-form-field-label{
  color: $font-silver;
}
.mat-input-element{
  color: $font-silver;
  caret-color: $font-silver;
}
textarea.mat-input-element{
  color: $font-silver;
}
.mat-select-value{
  color: $font-silver;
}
::placeholder{
  color: $font-silver !important;
}

@include for-size(tablet-portrait-up) {
  .mat-select-trigger {
    height: 1.65em !important;
  }
}
@include for-size(tablet-landscape-up) {
  .mat-select-trigger {
    height: 1.7em !important;
  }
}

// Notification

.simple-notification {
  width: 80%;
  padding: 10px 20px;
  box-sizing: border-box;
  position: relative;
  float: left;
  color: #fff;
  cursor: pointer;
  transition: all 0.5s;
  min-height: 80px;
  box-shadow: 0 0 1em -0.5em #000, -0.5em 1em 2em -1em rgba(0, 0, 0, 0.7);
  display: flex;
  align-items: center;
  @include for-size(phone-only) {
    width: 100%;
    //margin: 20px;
  }
  @media screen and (min-width: 300px) and (max-width: 350px) {
    width: 80%;
  }
}
.simple-notification .icon {
  position: absolute;
  box-sizing: border-box;
  top: 0;
  right: 0;
  width: 70px;
  height: 70px;
  padding: 5px;
}
.simple-notification.success {
  background: #eeeeee !important;
  color: #000;
}
.simple-notification.success .icon svg {
  fill: #ffffff !important;
  background-color: #47ae74;
}
.simple-notification.error {
  background: #eeeeee !important;
  color: #000;
}
.simple-notification.error .icon svg {
  fill: #ffffff !important;
  background-color: #cc2424;
}
.simple-notification.warn {
  background: #eeeeee !important;
  color: #000;
}
.simple-notification.warn .icon svg {
  fill: #ffffff !important;
  // width: 70% !important;
  background-color: #ff9800;
  padding: 0 7px;
}
.simple-notification .sn-title {
  line-height: 2;
  font-size: 16px !important;
  font-weight: 500;
}
.simple-notification.has-icon .sn-title,
.simple-notification.has-icon .sn-content {
  padding: 0 65px 0 0 !important;
}
.simple-notification .sn-progress-loader {
  position: absolute;
  top: auto !important;
  left: 0;
  width: 100%;
  height: 5px;
  bottom: 0 !important;
}
.simple-notification-wrapper {
  width: 380px !important;
  @media screen and (min-width: 300px) and (max-width: 375px) {
    margin-top: 15px;
    width: 90% !important;
  }
}
.simple-notification-wrapper.top {
  top: 5px !important;
}
.noUi-horizontal {
  height: 7px;
}
.noUi-connect {
  background: $primary-color;
}
.noUi-handle {
  border-radius: 26px;
}
.noUi-horizontal .noUi-handle {
  width: 20px;
  height: 20px;
  top: -8px;
}
.noUi-handle:after,
.noUi-handle:before {
  background: none;
}
/* Show More Button */
.show-more.mat-raised-button {
  background-color: $primary-color;
  color: #ffffff;
  font-weight: 500;
  line-height: 2.5;
  // width: 13%;
  text-transform: uppercase;
  margin-top: 3%;
  margin-bottom: 3%;
}
.fa-plus-circle:before {
  font-size: 25px;
  padding-right: 35%;
}
.showmore-wrap {
  // margin-top: 3%;
  // margin-bottom: 3%;
  margin: 20px auto;
}
.nodata-found-wrap {
  text-align: center;
  margin-top: 7%;
  margin-bottom: 12%;
  color: $font-silver;
}
.nodata-found-wrap-1{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: calc(100% - 50px);
    font-size: 14px;
  @include for-size(phone-only){
    height: auto;
    padding-top: 15px;
  }
}
.add-btn-nodata {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.no-data-txt {
    position: relative;
    margin-top: 10px;
}
.nodata-found img {
  text-align: center;
}

@include for-size(phone-only) {
  .page-not-found img {
    width: 100%;
    margin-left: -15%;
    margin-bottom: -7vh;
  }
  .mat-menu-panel {
    margin-top: -30px;
    margin-left: 30px;
  }
}

.mat-option.mat-selected:not(.mat-option-multiple):not(.mat-option-disabled) {
  background-color: none !important;
}

.mat-option:hover:not(.mat-option-disabled),
.mat-option:focus:not(.mat-option-disabled) {
  background-color: none !important;
}

.mat-select-panel .mat-option.mat-selected:not(.mat-option-multiple) {
  background-color: none !important;
}
.mat-select-panel .mat-option.mat-selected:not(.mat-option-multiple) {
  background: none !important;
}
.mat-select {
  font-family: inherit !important;
}
.common-header-h4 {
  margin-top: 15px;
}
.cdk-global-overlay-wrapper {
  @include for-size(phone-only) {
    margin: 15px 0;
  }
  @include for-size(mobile-lanscape) {
    margin: 20px 0;
  }
}

.tracking-stepper .mat-horizontal-stepper-header-container {
  margin-bottom: 20px;
}

.tracking-stepper .mat-horizontal-stepper-header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  margin-bottom: -15px;
}
.tracking-stepper .mat-step-label {
  position: relative;
  top: 10px;
  font-size: 14px;
}

.tracking-stepper .mat-stepper-horizontal-line {
  margin: 0 -30px !important;
}

.tracking-stepper .mat-horizontal-stepper-header .mat-step-icon,
.mat-horizontal-stepper-header .mat-step-icon-not-touched {
  margin-right: 0 !important;
}

.language-dropdown .mat-option {
  font-size: 13px !important;
  height: 45px !important;
}

.address-dropdown .mat-option {
 height: 7em !important;
    font-size: 13px !important;
    line-height: 1.5 !important;
    border-bottom: 1px solid $quaternary;
    //padding: 40px 0px 0px 15px;
}
.comon-notes {
  background-color: #e9f4fd;
  border-top: 1px solid #d9f0fd;
  padding: 10px;
  color: #7b7b7b;
  margin-top: 15px;
  width: 100%;
  height: 100%;
}

.comon-notes p {
  font-family: $font-stack;
  font-weight: 600;
  font-size: 13px;
  line-height: 0;
  margin: 0;
}
 .search-panel{
//   .form-control{
//     height: calc(2.23rem + 2px) !important;
//     @media screen and (min-width: 300px) and (max-width: 360px) {
//       height: calc(2.23rem + 5px) !important;
//     }
//     @media screen and (min-width: 375px) and (max-width: 1024px) {
//       height: calc(2.23rem + 4px) !important;
//     }
//   }
  ::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #cecece;
    font-size: 12px;
    font-weight: 400;
    letter-spacing: -0.6px;
  }

  :-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #cecece;
    font-size: 12px;
    font-weight: 400;
    letter-spacing: -0.6px;
  }

  ::-ms-input-placeholder {
    color: #cecece;
    font-size: 12px;
    font-weight: 400;
    letter-spacing: -0.6px;
  }
}
@include for-size(phone-only){
.profile-img{
    background-color: #fff !important;
    margin: 0 !important;
    width: 41px !important;
    height: 41px !important;
  }

  .img-ctrl ul li img{
    width: 11px !important;
    height: 11px !important;
    padding: 0 !important;
  }
}
.error-msg-space{
     margin-top:10px;
    @include for-size(phone-only){
        margin-top:35px;
    }
}

.mat-dialog-container {
  padding: 0px !important;
  background: $secondary-color;
}
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  :not(.mat-form-field-appearance-legacy).mat-form-field .mat-form-field-prefix .mat-icon-button, 
  :not(.mat-form-field-appearance-legacy).mat-form-field .mat-form-field-suffix .mat-icon-button {
    display: inline !important;
    height: 1.5em !important;
  }
}

.img-center {
  display: flex;
  align-items: center;
  justify-content: center;
  img {
    display: flex;
  }
}

.component-disabled {
  opacity: 0.6;
  pointer-events: none;
}

.mat-form-field-appearance-outline .mat-form-field-prefix, 
.mat-form-field-appearance-outline .mat-form-field-suffix {
  top: 0em !important;
}

.highlight{
  font-weight: 700;
}
.contry-code{
  color: $font-silver;
}
.mat-raised-button.mat-primary{
  background-color: $primary-color;
  font-weight: 600;
  color: $font-white;
}
.mat-datepicker-toggle{
  color: $font-silver;
}
.mat-slide-toggle.mat-checked .mat-slide-toggle-thumb{
  background: $primary-color;
}
.mat-slide-toggle.mat-checked .mat-slide-toggle-bar {
  background-color: rgba(255, 0, 1, 0.29) !important;
}
.mat-slide-toggle-thumb{
  background-color: #5f5f5f; 
}
.mat-select-panel{
  background-color: $secondary-color;
}
// .mat-select-value{
//   color: $font-silver;
// }
.mat-checkbox-frame{
  border-color: $font-silver;
}
.label-text{
  color: $font-silver; 
}
.mat-tab-label .mat-tab-label-content{
  color: $font-silver;  
}
.mat-button[disabled][disabled]{
  color: #737373;
}
.mat-table{
  background: $secondary-color !important;
}
.popup-btn-1{
  margin-right: 20px;
  border: 1px solid $teritary;
  padding: 0 10px;
  border-radius: 4px;
  background: $font-silver;
      @media (min-width: 320px) and (max-width: 767px) {
        padding-right: 0;
      }
}
.popup-btn-2{
  margin-right: 20px;
  border: 1px solid $teritary;
  padding: 0 10px;
  border-radius: 4px;
  background: $font-silver;
      @media (min-width: 320px) and (max-width: 767px) {
        padding-right: 0;
      }
}
#terms{
      td{
          padding-left: 30px !important;
      }
      p{
          color: $font-black !important;
      }
      dl, ol, ul{
        color: $font-black !important;
      }
}
